Bug 64275 - (C&T 69000) X crashes, uses 100% CPU
(C&T 69000) X crashes, uses 100% CPU
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-05-01 06:43 EDT by Warren Togami
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-13 14:53:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2002-05-01 06:43:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461; .NET 
CLR 1.0.3705)

Description of problem:
This is the same VA Linux 1000 box mentioned in Skipjack Bug 63284.

Within Red Hat Linux 7.2, sometimes when the X server has been running idle in 
kdm for a week or two, it will crash and use 100% CPU until it is killed 
manually.  It subsequently comes back without problems.

This has occured 4 times within the past few months.  Very difficult to 
reproduce, but it seems consistent after long periods of inactivity at the 
server console.

I have not experienced the Acceleration induced system crashes of XFree86 4.20 
(Bug 63284), but I am testing XFree86 4.10 now with "noaccel" enabled to see if 
this is a related issue in the older version of XFree86.

Version-Release number of selected component (if applicable):
Red Hat Linux 7.2, fully patched
XFree86 4.10

How reproducible:

Steps to Reproduce:
1. Leave VA Linux 1000 box sitting idle in KDM for a week or two.
Actual Results:  
X crashes and uses 100% CPU until process is killed.

Expected Results:  
X shouldn't crash and use 100% CPU.
Comment 1 Mike A. Harris 2002-05-13 14:53:37 EDT
Does this problem occur in Red Hat Linux 7.3?  Recommended disabling
acceleration with Option "noaccel" as well due to another reported bug.

Also recommended, is reporting this problem to the upstream
xpert@XFree86.org mailing list, and driver maintainer as I have zero
C&T hardware or specs.
Comment 2 Mike A. Harris 2002-08-07 04:08:31 EDT
This is believed to be fixed in rawhide XFree86.  Please reopen the
report if you still experience problems with the current rawhide
X.  Be sure to rerun Xconfigurator to get a new config file.

Note You need to log in before you can comment on or make changes to this bug.